# Dev Notes

#### Task queue

Simple task queue built on top of [deadqueue]. It needs to support the following interface:

[deadqueue]: https://docs.rs/deadqueue

- schedule a task NOW
- schedule a task later
- schedule a repeating task

This is used for healthchecks

#### Healthchecks

There's a variety of health and status checks that needs to be done

- is there anything in the database that isn't "healthy" or "needs attention"? we need to build those
- just query all of the docker containers to make sure they're still running and stuff
- are all the ones marked healthy actually reachable?
- how's our acme status? (maybe don't need this one, we know the expiry status)
